XMLOutputter.NamespaceStack (JDOM v1.1.1)
Date: 2018-05-07

org.jdom.output

## Class XMLOutputter.NamespaceStack

- java.lang.Object
- - org.jdom.output.XMLOutputter.NamespaceStack

- Enclosing class:
    XMLOutputter

      protected class XMLOutputter.NamespaceStack
      extends java.lang.Object

  Our own null subclass of NamespaceStack. This plays a little trick with Java access protection. We want subclasses of XMLOutputter to be able to override protected methods that declare a NamespaceStack parameter, but we don't want to declare the parent NamespaceStack class as public.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XMLOutputter.NamespaceStack()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getURI(java.lang.String prefix)` Given a prefix, this will return the namespace URI most rencently (topmost) associated with that prefix.
    `java.lang.String` | `pop()` This will remove the topmost (most recently added) ``Namespace``, and return its prefix.
    `void` | `push(Namespace ns)` This will add a new ``Namespace`` to those currently available.
    `int` | `size()` This returns the number of available namespaces.
    `java.lang.String` | `toString()` This will print out the size and current stack, from the most recently added ``Namespace`` to the "oldest," all to `System.out`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLOutputter.NamespaceStack

          protected XMLOutputter.NamespaceStack()

  - ### Method Detail

    - #### push

          public void push(Namespace ns)

      This will add a new ``Namespace`` to those currently available.
      Parameters:
        `ns` - `Namespace` to add.

    - #### pop

          public java.lang.String pop()

      This will remove the topmost (most recently added) ``Namespace``, and return its prefix.
      Returns:
        `String` - the popped namespace prefix.

    - #### size

          public int size()

      This returns the number of available namespaces.
      Returns:
        `int` - size of the namespace stack.

    - #### getURI

          public java.lang.String getURI(java.lang.String prefix)

      Given a prefix, this will return the namespace URI most rencently (topmost) associated with that prefix.
      Parameters:
        `prefix` - `String` namespace prefix.
      Returns:
        `String` - the namespace URI for that prefix.

    - #### toString

          public java.lang.String toString()

      This will print out the size and current stack, from the most recently added ``Namespace`` to the "oldest," all to `System.out`.
      Overrides:
        `toString` in class `java.lang.Object`

Copyright ? 2007 Jason Hunter, Brett McLaughlin. All Rights Reserved.